///home/berryj/link/bin/genMethods "-g" "-t" "Sequence<Edge*>" "-h" "Container" "-I" "LINK/graph/Edge.h" "-I" "LINK/basic/Sequence.h" "-I" "LINK/basic/Container.h" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/Edge.h>

#include <LINK/basic/Sequence.h>

#include <LINK/basic/Container.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef Sequence<Edge*> _Sequence_Edge__;
typedef Container<Sequence<Edge*> > _Container_Sequence_Edge___;

#define _Container_Sequence_Edge___DATA(x) ((Container<Sequence<Edge*> >*) (EXTDATA(x)))
#define _Container_Sequence_Edge___IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Sequence<Edge*> > >::type))
#define _Container_Sequence_Edge___ISNT_DATA(x) (!_Container_Sequence_Edge___IS_DATA(x))

#define _Container_Sequence_Edge___CXX_DATA(x) (*(Container<Sequence<Edge*> >*) (EXTDATA(VAL(x))))
#define _Container_Sequence_Edge___CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Sequence<Edge*> > >::type))
#define _Container_Sequence_Edge___CXX_ISNT_DATA(x) (!_Container_Sequence_Edge___CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_Sequence_Edge___()
{
	Wrapper<_Container_Sequence_Edge___>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_Sequence_Edge___>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_Sequence_Edge___>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_Sequence_Edge___Methods(void);

PRIMITIVE STk_init_methods__Container_Sequence_Edge___()
{
	genExtra_Container_Sequence_Edge___Methods();
	return UNDEFINED;
}
